//****************************************************************************************
// COD2 - Monitor Control
//****************************************************************************************
// Server / Client side modification for Call of Duty 2 multiplayer
// Updated : 06 October 2007 by Wildcard
// Email   : wildcard@wildcardsonline.nl
// Support WebSite: http://www.wildcardonline.nl
// This config  file controls the WW2X 1.8c Monitor settings
//*******************************************************************************

//***************************************************************************************************
// Command Monitor
//***************************************************************************************************
// 0 = disabled, 1 = enabled, default = 0
set wwx_cmd_monitor "1"

// The player model changing adds around 1000 to the initial gamestate, so if you experience
// gamestate errors, it is recommended you leave this set to disabled until IW release a patch
// for the gamestate size
// 0 = disabled, 1 = enabled, default = 0
//set wwx_cmdmonitor_models "1"

// The following is the commands and how to use them.  They are here for
// info purposes, do not uncomment! Commands avail from RCON, to use type /rcon set
// COMMAMDLISTEDBELOW # = client number from rcon status. To EFFECT all players use -1
// as client number

// EXAMPLE:  /rcon set torch 2  ( will torch player in client slot 2 )
// Use SET before any command below

// funmode #					turns the player into misc objects
// mattress #					turns the player into a mattress
// barrel #						turns the player into a barrel
// bathtub #					turns the player into a bathtub
// toilet #						turns the player into a toilet
// tree	#						turns the player into a tree
// tombstone #				turns the player into a tombstone, 11 different styles, picked at random
// oringinal #					resets the player back to their original state

// warp	#						shoots the player into the air and kills them with fire
// lock #						locks a player inplace
// unlock #					unlocks the player from place
// suicide #					kills a player
// smite #						blows up a player
// zombie #					makes player a zombie, headless with blood
// torch #						torches a player and kills them
// fire #							sets a player on fire, player&fire can move, will not kill player
// spank #						spanks a player by going prone, shellshock, drop wep all for 15 seconds.
// disableweapon #		disables the player weapons
// enableweapon #		enables the player weapons
// cheater #					ruins the gaming experience for the player (hehe)

// sayall #						says a msg to lower left of hud
// sayallcenter #			says a msg to center of screen

// Do you want teams set.  You can set a whole team on fire for example.
// To set teams you MUST do the team cvar before doing any of the above commands.
// To set the teams type /rcon set team allies, /rcon set team axis

// TEAM CONTROL IS BELOW DO NOT USE THE TEAM CVAR ABOVE
// switchplayerallies #		switches a player to allie
// switchplayeraxis #			switches a player to axis
// switchplayerspec #		switches a player to spectator

// This setting has a value of 1 only.  Used to swap both teams
// switchsidesallplayers 1

//***************************************************************************************************
// Name Checker
//***************************************************************************************************
// This is a small routine which is launched by the mod at the start of every game.
// It monitors player names for Unknown Soldiers if Unknown Soldier handling is enabled, and it
// monitors names for duplicates. If it finds two that match, it renames the second player to
// Unknown Soldier, which forces the player to change his name to something else (for duplicate
// names it will start the Unknown Soldier handling code regardless of the wwx_uscheck setting)
// disabled = 0, enabled = 1 (default = 1)
set wwx_namechecker "1"

// The Name checker will hand over the player to the Unknown Soldier handling code.
// Define if you want this procedure to include the initial warning and wait time, or if the code
// should immediately rename the offending player to a (clan) quest name.
// disabled = 0, enabled = 1 (default = 1)
set wwx_ncskipwarning "1"

//***************************************************************************************************
// Unknown Soldier handling
//***************************************************************************************************
// If players join your server as Unknown Soldier, the mod will ask them to change their name.
// If they refuse to comply, the mod will assign a new name.
// disabled = 0, enabled = 1 (default = 1)
set wwx_uscheck "1"

// What the mod will do after the first warning, depends on the wwx_usclanguest setting.
// When enabled, Unknown Soldiers are handled as clan guests (final name from wwx_usclanguestname;
// When disabled, they are handled as non-clan guests (temporary name from wwx_usguestname; they
// get a second chance to change their name. If they don't, the mod will punish them).
// disabled = 0, enabled = 1 (default = 0)
set wwx_usclanguest "0"

// New name for clan guests. You can include your own clan tag.
// A number will be added automatically.
// default = "Guest#"
//set wwx_usclanguestname "-[CLAN]-Guest#"

// New name for non-clan guests. Be creative.
// A number will be added automatically.
// default = "UnacceptableName#"
set wwx_usguestname "I must change my Name#"

// The mod will ask the player to change his name, wait, and rename the player.
// Set the number of seconds the mod should wait before assigning a new name.
// min = 20, max = 60 (default = 30)
set wwx_uswarndelay1 "30"

// After assigning non-clan quest names, they get a second chance to change their name.
// Set the number of seconds the mod should wait before punishing the player, by randomly freezing
// them, and drop or disable their weapon.
// This function is not available when using clan guests.
// min = 20, max = 120 (default = 30)
set wwx_uswarndelay2 "30"

// The punishment routine can loop several times and then allow them to play as normal.
// Once they die this process will repeat itself, until they change their name!
// Set how many times the player will be punished before letting them off the hook.
// This function is not available when using clan guests.
// min = 1, max = 999 (default = 5)
set wwx_uspunishcount "5"

//******************************************************************************
// Anti Camping System
//******************************************************************************
// time before being warned to move on for players not using a sniper rifle in seconds
// 0 = disable, max = 300, default = 0
set wwx_campwarntime "30"

// time in seconds before being punished for camping! (non snipers)
// min = warntime+5, max = 600 (default = warntime+10)
set wwx_campobjtime "40"

// time before being warned to move on for players using a sniper rifle in seconds
// 0 = disable, max = 600, default = 0
set wwx_campsniper_warntime "100"

// time in seconds before being punished for camping! (snipers)
// min = warntime+5, max = 1200, (default = warntime+10)
set wwx_campsniper_objtime "110"

// time in seconds that campers will be punished!
// 0 = never, max = 300, default = 20
set wwx_camptimer "30"

// camper punishment
// 0 = random (default)
// 1 = marked on compass
// 2 = made to fart
// 3 = blown up
// 4 = shellshock
// 5 = shellshock & drop weapon
set wwx_camp_punish "2"

//****************************************************************************************
// Spawn protection
//****************************************************************************************
// Invisible spawning 0 = off, 1 = on, default = 0
set wwx_inv_spwn "1"

// spawn protected time in seconds
// 0 = disabled, max = 60, default = 0
set wwx_protection_time "1"

// the allowed distance to move before spawn protection is disabled in feet
// 0 = disabled, max = 200, default = 10
set wwx_protection_range "50"

// show HUD element indicating protection
// 0 = disabled, 1 = enabled, default = 0
set wwx_protection_hud "1"

// show HUD element indicating protection time
// 0 = disabled, 1 = enabled, default = 0
set wwx_sp_timer "1"

// headicon indicating protection
// 0 = disabled, 1 = enabled, default = 0
set wwx_protection_headicon "0"

// force protected players to drop their weapon if they are shooting another player
// 0 = disabled, 1 = enabled, default = 0
set wwx_protection_punish_self "0"

// punish an attacker if they are shooting a protected player
// 0 = disabled, 1 = enabled, default = 0
set wwx_protection_punish_attacker "0"

// disable weapon while spawnprotected
// 0 = disabled, 1 = enabled, default = 0
set wwx_protection_weapon_disable "0"

// spawn protection system messages (default 0)
// 0 = left, above compass
// 1 = centre screen
// 2 = scroll text area centre top -- adds to gamestate!
set wwx_protection_msg "0"

//***************************************************************************************************
// Team Kill System (SINBIN)
//***************************************************************************************************
// randomly switches between freezing the player to the spot without the use of their
// weapon and lifting the player in to the air, then dropping them to their death!

// team Kill System
// 0 = disabled, 1 = enabled, default = 0
set wwx_tksystem "0"

// how many TK's before we start messing with them?
// min = 1, max = 10, default = 1
set wwx_tkmax "2"

// when freezing a player to the spot, how long in seconds to hold them?
// min = 1, max = 60, default = 5
set wwx_tktime "10"

// team kill system messages
// 0 = left, above compass (default)
// 1 = centre screen
// 2 = scroll text area centre top -- adds to gamestate!
set wwx_tkmsg "0"

//***************************************************************************************************
// Obituary Messages
//***************************************************************************************************
// options, 0 = none (off) still does stats! - use 1 - 4 on LINUX servers!
// 1 = stock obituary with stats!
// 2 = stock obituary with stats! and personal sound
// 3 = stock obituary with stats! and personal message
// 4 = stock obituary with stats!, personal sound and personal messages
// 5 = ww2x obituary with stats!
// 6 = ww2x obituary with stats! and personal sound
// 7 = ww2x obituary with stats! and personal messages
// 8 = ww2x obituary with stats!, personal sound and personal messages
set wwx_obituary "4"

// set unit of measurement for range
// 0 = metres
// 1 = yards
set wwx_obitunit "0"

//***************************************************************************************************
// Turret abuse
//***************************************************************************************************
// here you can set the number of times per spawn a player can kill using a turret
// weapon, you set the amount of kills and also the percentage chance of death
// if the player continues killing with the turret weapon

// number of kills to activate turret abuse
// 0 = disable, max = 20, default = 0
set wwx_turretabuse "0"

// chance of death when activating turret once kills are exceeded
// percentage setting 0 - 100, default 0
//set wwx_turretabuse_pc "100"

//*********************************************************************************************
// Range finder  press your USE key to see the range to your target (binocs and snipers only)
//*********************************************************************************************
set wwx_rangefinder "1"   // 0 = off, 1 = on, default = 0
set wwx_rfunit "0"     // 0 = metres, 1 = yards, default = 1
